Bug 214616 - Oops: ipw3945's kill switch kills the system
Oops: ipw3945's kill switch kills the system
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://atrpms.net/dist/fc6/ipw3945/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 12:35 EST by Steve Brown
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 17:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci and lsmod (4.60 KB, text/plain)
2006-11-08 12:35 EST, Steve Brown
no flags Details
Syslog from scenario (A) (43.90 KB, text/plain)
2006-11-08 12:36 EST, Steve Brown
no flags Details
Syslog from scenario (B) (39.34 KB, text/plain)
2006-11-08 12:36 EST, Steve Brown
no flags Details
better lspci & /proc info (27.98 KB, text/plain)
2006-11-08 12:46 EST, Steve Brown
no flags Details

  None (edit)
Description Steve Brown 2006-11-08 12:35:00 EST
Description of problem:
This is rawhide, using ATrpm's ipw3945 packages.  This is a Dell Precision M65
laptop with a Intel Pro Wireless 3945 ABG card.  The laptop has a "kill switch"
on the side which is supposed to cut power to the Wifi and Bluetooth radios.

Version-Release number of selected component (if applicable):
Linux lithium 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686 i686
i386 GNU/Linux
ipw3945-kmdl-2.6.18-1.2798.fc6-1.0.12-11.1.fc6.at
ipw3945-ucode-1.13-2.at
ipw3945d-1.7.22-3

How reproducible:
Either (a) by removing the module while the radio is killed, or (b) by turning
off the kill switch when the module is loaded.

Steps to Reproduce:
Scenario a)
0. With laptop powered off, turn kill switch off (to normal position.)
1. Boot system, get wifi link up and running as normal.
2. Turn on the RF kill switch (to kill position.)
3. Modprobe -r ipw3945
4. Wait for oops...
5. Only one cpu on my dual-core system locks up.  The rest of the system is
responsive for a few seconds (mouse works, apps work), then soon the whole thing
goes down. SysRq-RSEIUB works.

Scenario b)
0. With system powered off, turn kill switch on (to kill pos.)
1. Boot system.
2. Modprobe ipw3945
3. Turn off the kill switch.
4. Wait for oops...
5. System completely locks up immediately, no mouse, unlike above.  Can't
emergency sync the HD, or unmount it, but Alt-sysRq-B reboots it.

Actual results:
Kernel panics.

Expected results:
Wifi subsystem should not take the "kill switch" literally!
Comment 1 Steve Brown 2006-11-08 12:35:00 EST
Created attachment 140673 [details]
output of lspci and lsmod
Comment 2 Steve Brown 2006-11-08 12:36:04 EST
Created attachment 140674 [details]
Syslog from scenario (A)
Comment 3 Steve Brown 2006-11-08 12:36:28 EST
Created attachment 140676 [details]
Syslog from scenario (B)
Comment 4 Steve Brown 2006-11-08 12:46:22 EST
Created attachment 140679 [details]
better lspci & /proc info
Comment 5 Dave Jones 2006-11-12 17:03:12 EST
as the ipw3945 driver isn't part of the Fedora kernel, report this to the
upstream developers. There's nothing to fix in the Fedora kernel until it gets
merged.

Note You need to log in before you can comment on or make changes to this bug.